summaryrefslogtreecommitdiff
path: root/debian/heimdal-kcm.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/heimdal-kcm.init')
-rw-r--r--debian/heimdal-kcm.init66
1 files changed, 66 insertions, 0 deletions
diff --git a/debian/heimdal-kcm.init b/debian/heimdal-kcm.init
new file mode 100644
index 000000000..3659a69b6
--- /dev/null
+++ b/debian/heimdal-kcm.init
@@ -0,0 +1,66 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: heimdal-kcm
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start KCM server
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+KCM_DAEMON="/usr/sbin/kcm"
+KCM_NAME="kcm"
+KCM_DESC="Heimdal KCM"
+KCM_PARAMS="--detach"
+
+test -f $KCM_DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $KCM_DESC: "
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/$KCM_NAME.pid \
+ --exec $KCM_DAEMON -- $KCM_PARAMS
+ echo "$KCM_NAME."
+ ;;
+ stop)
+ echo -n "Stopping $KCM_DESC: "
+ start-stop-daemon --stop --oknodo --quiet \
+ --pidfile /var/run/$KCM_NAME.pid \
+ --exec $KCM_DAEMON -- $KCM_PARAMS
+ echo "$KCM_NAME."
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ /etc/init.d/heimdal-kcm stop
+ sleep 1
+ /etc/init.d/heimdal-kcm start
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0